Vulnerability CVE-2021-43810


Published: 2021-12-07   Modified: 2021-12-08

Description:
Admidio is a free open source user management system for websites of organizations and groups. A cross-site scripting vulnerability is present in Admidio prior to version 4.0.12. The Reflected XSS vulnerability occurs because redirect.php does not properly validate the value of the url parameter. Through this vulnerability, an attacker is capable to execute malicious scripts. This issue is patched in version 4.0.12.

Type:

CWE-79

(Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting'))

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None
Affected software
Admidio -> Admidio 

 References:
https://github.com/Admidio/admidio/commit/fcb0609abc1d2f65bc1377866bd678e5d891404b
https://github.com/Admidio/admidio/commit/c043267d362f7813543cc2785119bf3e3e54fe21
https://github.com/Admidio/admidio/security/advisories/GHSA-3qgf-qgc3-42hh
https://github.com/Admidio/admidio/releases/tag/v4.0.12

Copyright 2022, cxsecurity.com

 

Back to Top